#-----------------------------------------------------------------------------
%global		dist	.ok
#-----------------------------------------------------------------------------
Name		:	ucsd-psystem-os
Version		:	0.50.4
Release		:	17.2.0.rel%{?dist}
Summary		:	UCSD p-System virtual machine

Packager	:	Osukiss Project <build-ok@osukiss.org>

License		:	GPLv2+
URL		:	https://github.com/jmrcpn/ucsd-psystem-os/

Source0		:	%{name}-%{version}.tar.gz

#-----------------------------------------------------------------------------
BuildRequires	:	meson
BuildRequires	:	libexplain-devel
BuildRequires	:	ucsd-psystem-xc
BuildRequires	:	ucsd-psystem-fs
BuildRequires	:	xterm

BuildArch	:	noarch
#-----------------------------------------------------------------------------
%description
The ucsd-psystem-os package is composed of
several programs which collectively form
the UCSD p-System operating system.

#-----------------------------------------------------------------------------
%files
%defattr(-, root,root, -)
%{_datadir}/%{name}/*.vol
%{_mandir}/man1/ucsdpsys_os_license_bsd.1.gz
%{_mandir}/man1/ucsdpsys_os_license_ucsd.1.gz

#=============================================================================
%prep
%setup -q

#-----------------------------------------------------------------------------
#building application
%build

meson	setup						\
	--prefix=%{_prefix}				\
        --includedir=%{_includedir}			\
        --sysconfdir=%{_sysconfdir}			\
        --sbindir=%{_sbindir}				\
        --bindir=%{_bindir}				\
	--mandir=%{_mandir}				\
	--libdir=%{_libdir}				\
	--infodir=%{_infodir}				\
	--datadir=%{_datadir}				\
	_bld

meson	compile						\
	-C _bld						\

#-----------------------------------------------------------------------------
%clean
%{__rm} -rf %{buildroot}

#-----------------------------------------------------------------------------
%check
#no Meson test defined

#-----------------------------------------------------------------------------
#installing program
%install
%{__rm} -rf %{buildroot}

meson	install						\
		-C _bld					\
		--destdir=%{buildroot}			\

#-----------------------------------------------------------------------------
%changelog
